import importlib.util
import subprocess
import sys

from pathlib import Path


def run_python_command(cmd, errmsg=""):
    cmd = [sys.executable, "-m"] + cmd
    result = subprocess.run(cmd)

    if result.returncode != 0:
        sys.exit(errmsg)


def install_package():
    spec = importlib.util.find_spec("black")
    if spec is not None:
        return

    run_python_command(
        ["pip", "install", "black"], "Failed to install 'black' package."
    )


def format():
    recipe_pkg_dir = Path(__file__).parent
    run_python_command(["black", recipe_pkg_dir], "Failed to format.")


def main():
    install_package()
    format()


if __name__ == "__main__":
    main()
